-- TICKER_100
function()
	---@type Message
	local message = aura_env.messageQueue[1]
	if message == nil then return end

	table.remove(aura_env.messageQueue, 1)
	if aura_env.config.debug then
		print(string.format("Processing message; %d in queue", #aura_env.messageQueue))
		DevTools_Dump(message)
	end

	if message.addon then
		SendAddonMessage(aura_env.addonprefix, message.message, message.channel, message.to)
	else
		SendChatMessage(message.message, message.channel, nil, message.to)
	end
end